module Config.Pages.Services.Services.DebateAnalysis exposing (..)

import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Services.Types exposing (..)
import Route.Path as Path


servicesDebateAnalysis : Service
servicesDebateAnalysis =
    let
        name : String
        name =
            "Debate Analysis"
    in
    { serviceImage = formatName name
    , serviceLink = Path.toString Path.Services_Analysis
    , serviceName = name
    , serviceRate = "$80/hr"
    , serviceDescription =
        [ { point = "Have your own debates analyzed for constructive feedback." }
        , { point = "Receive advice to improve as a debater." }
        , { point = "Participate in mock debates, staged debates, and other exercises." }
        , { point = "Gain comfort with debate and verbal confrontation." }
        ]
    }
