module Config.Pages.Services.Services.NixBuilds exposing (..)

import Config.Pages.Services.Types exposing (..)
import Config.Helpers.Converters exposing (formatName)
import Route.Path as Path

servicesNixBuilds : Service
servicesNixBuilds =
    let
        name : String
        name =
            "Custom Nix Configs"
    in
    { serviceImage = formatName name
    , serviceLink = Path.toString Path.Services_Nix
    , serviceName = name
    , serviceRate = "$40/hr"
    , serviceDescription =
        [ { point = "Receive a custom NixOS configuration." }
        , { point = "Help with transitioning from other operating systems to NixOS." }
        , { point = "Assistance with the Nix programming language." }
        , { point = "Receive unlimited revisions before finalization." }
        ]
    }
