module Pages.Services.Coaching exposing (Model, Msg, page)

-- import Config.Pages.Services.Coaching.Helpers exposing (instructionMaker)

import Config.Data.Identity exposing (pageNames)
import Config.Helpers.Response
    exposing
        ( pageList
        , topLevelContainer
        )
import Effect exposing (Effect)
import Element as E exposing (..)
import Html
import Layouts
import Page exposing (Page)
import Route exposing (Route)
import Shared
import View exposing (View)


page : Shared.Model -> Route () -> Page Model Msg
page shared route =
    Page.new
        { init = init
        , update = update
        , subscriptions = subscriptions
        , view = view shared
        }
        |> Page.withLayout toLayout


toLayout : Model -> Layouts.Layout Msg
toLayout model =
    Layouts.Navbar {}



-- INIT


type alias Model =
    {}


init : () -> ( Model, Effect Msg )
init () =
    ( {}
    , Effect.none
    )



-- UPDATE


type Msg
    = NoOp


update : Msg -> Model -> ( Model, Effect Msg )
update msg model =
    case msg of
        NoOp ->
            ( model
            , Effect.none
            )



-- SUBSCRIPTIONS


subscriptions : Model -> Sub Msg
subscriptions model =
    Sub.none



-- VIEW


view : Shared.Model -> Model -> View Msg
view shared model =
    { title = pageNames.pageContact ++ " ( )"
    , attributes = []
    , element = coachContainer shared.device
    }


coachContainer : Device -> Element msg
coachContainer device =
    topLevelContainer (coachList device)


coachList : Device -> Element msg
coachList device =
    column pageList <|
        List.concat
            (case ( device.class, device.orientation ) of
                _ ->
                    [ [] ]
            )
